package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 考勤结果状态类别
 */
@Getter
@AllArgsConstructor
public enum SchoolFunctionCode {


    /**
     * 教师考勤
     */
    ATTENDANCE_TEACHER("attendance_teacher"),

    /**
     * 上学考勤
     */
    ATTENDANCE_CLASS("attendance_class"),

    /**
     * 宿舍考勤
     */
    ATTENDANCE_DORMITORY("attendance_dormitory"),

    /**
     * 门禁
     */
    ACCESS("Access");


    private final String name;
}
